import { store } from "@/store";
import { defineStore } from "pinia";

export const useDictionaryStore = defineStore("dictionaryStore", {
  state: () => ({
    /**
     * 需要后端返回的type
     */
    types: [
      "station_type",
      "station_operate_type",
      "applicable_platforms",
      "material_properties",
      "quality_testing_plan",
      "material_level",
      "packaging_method",
      "quality_grade",
      "selection_type",
      "stage",
      "danwei_type",
    ],
    dicts: [],
  }),
  persist: {
    enabled: true,
    strategies: [
      {
        key: "dicts",
        storage: sessionStorage,
        paths: ["dicts"],
      },
    ],
  },
});

export function useDictionaryStoreHook() {
  return useDictionaryStore(store);
}
